Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::Execution_Manager::Execution_Manager_Impl Class Reference

This class implements the ExecutionManger. ExecutionManager starts the execution process after the planning stage. More...

`#include <Execution_Manager_Impl.h>`

Collaboration diagram for CIAO::Execution_Manager::Execution_Manager_Impl:

[legend]
List of all members.

## Public Member Functions
| Execution_Manager_Impl (CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, const char *init_file)
| Constructor.
virtual Deployment::DomainApplicationManager_ptr | preparePlan (const Deployment::DeploymentPlan &plan, CORBA::Boolean commitResources ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::ResourceNotAvailable, Deployment::PlanError, Deployment::StartError)
virtual Deployment::DomainApplicationManagers * | getManagers (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual Deployment::DomainApplicationManager_ptr | getManager (const char *plan_uuid ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::PlanNotExist)
virtual void | destroyManager (Deployment::DomainApplicationManager_ptr manager ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::StopError)
virtual void | destroyManagerByPlan (const char *plan_uuid ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (::CORBA::SystemException, ::Deployment::StopError)
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | perform_redeployment (const Deployment::DeploymentPlan &plan ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (::CORBA::SystemException, ::Deployment::PlanError, ::Deployment::InstallationFailure, ::Deployment::UnknownImplId, ::Deployment::ImplEntryPointNotFound, ::Deployment::InvalidConnection, ::Deployment::InvalidProperty, ::Components::RemoveFailure)
virtual Deployment::DeploymentPlan * | getPlan (const char *plan_uuid ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (::CORBA::SystemException)
virtual void | finalize_global_binding (const Component_Binding_Info &binding, CORBA::Boolean add_connection) throw ( ::CORBA::SystemException, ::Deployment::InvalidConnection)
| ****************** C++ Methods *************************
virtual void | add_shared_component (const Component_Binding_Info &binding)
virtual void | remove_shared_component (const Component_Binding_Info &binding)
| Remove shared component.
virtual bool | is_component_running (const char *name, const char *plan_uuid)
## Protected Member Functions
virtual Deployment::NodeApplication_ptr | find_node_application (const Component_Binding_Info &binding) throw ( ::CORBA::SystemException, ::Deployment::InvalidConnection)
| Return the NodeApplication hosting the given biding.
virtual | ~Execution_Manager_Impl (void)
| Destructor.
## Protected Attributes
CORBA::ORB_var | orb_
| Cached ORB pointer.
PortableServer::POA_var | poa_
| Cached POA pointer.
const ACE_CString | init_file_
| Path to the initialization file.
DAM_Map | map_
| A map which caches the DomainApplicationManager object ref.
ACE_Unbounded_Set< Component_Binding_Info > | shared_components_
| A set of shared components and their location info.

## Detailed Description

This class implements the ExecutionManger. ExecutionManager starts the execution process after the planning stage.

## Constructor & Destructor Documentation

CIAO::Execution_Manager::Execution_Manager_Impl::Execution_Manager_Impl | ( | CORBA::ORB_ptr | orb,
|  | PortableServer::POA_ptr | poa,
|  | const char * | init_file
| ) |

| Constructor.

CIAO::Execution_Manager::Execution_Manager_Impl::~Execution_Manager_Impl | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void CIAO::Execution_Manager::Execution_Manager_Impl::add_shared_component | ( | const Component_Binding_Info & | binding | ) | `[virtual]`

| Add shared component information. This call will be made by DomainApplicationManager.

void CIAO::Execution_Manager::Execution_Manager_Impl::destroyManager | ( | Deployment::DomainApplicationManager_ptr manager | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Deployment::StopError)`[virtual]`

void CIAO::Execution_Manager::Execution_Manager_Impl::destroyManagerByPlan | ( | const char *plan_uuid | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (::CORBA::SystemException, ::Deployment::StopError)`[virtual]`

void CIAO::Execution_Manager::Execution_Manager_Impl::finalize_global_binding | ( | const Component_Binding_Info & | binding,
|  | CORBA::Boolean | add_connection
| ) | throw ( ::CORBA::SystemException, ::Deployment::InvalidConnection)`[virtual]`

| ****************** C++ Methods ************************* If input <add_connection> is true, then it will add new connections which are across different assemblies. Otherwise it will remove the specified connections of this component. @GD: Later we can add another method which could accept a list of bindings and do the batch job.

Deployment::NodeApplication_ptr CIAO::Execution_Manager::Execution_Manager_Impl::find_node_application | ( | const Component_Binding_Info & | binding | ) | throw ( ::CORBA::SystemException, ::Deployment::InvalidConnection)`[protected, virtual]`

| Return the NodeApplication hosting the given biding.

Deployment::DomainApplicationManager_ptr CIAO::Execution_Manager::Execution_Manager_Impl::getManager | ( | const char *plan_uuid | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Deployment::PlanNotExist)`[virtual]`

Deployment::DomainApplicationManagers * CIAO::Execution_Manager::Execution_Manager_Impl::getManagers | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

Deployment::DeploymentPlan * CIAO::Execution_Manager::Execution_Manager_Impl::getPlan | ( | const char *plan_uuid | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (::CORBA::SystemException)`[virtual]`

bool CIAO::Execution_Manager::Execution_Manager_Impl::is_component_running | ( | const char * | name,
|  | const char * | plan_uuid
| ) | `[virtual]`

| If the input component <name> was found in the internal cached shared component list, and the plan_uuid also matches, then this member function returns <true>, otherwise it returns <false>.

void CIAO::Execution_Manager::Execution_Manager_Impl::perform_redeployment | ( | const Deployment::DeploymentPlan &plan | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (::CORBA::SystemException, ::Deployment::PlanError, ::Deployment::InstallationFailure, ::Deployment::UnknownImplId, ::Deployment::ImplEntryPointNotFound, ::Deployment::InvalidConnection, ::Deployment::InvalidProperty, ::Components::RemoveFailure)`[virtual]`

virtual Deployment::DomainApplicationManager_ptr CIAO::Execution_Manager::Execution_Manager_Impl::preparePlan | ( | const Deployment::DeploymentPlan & | plan,
|  | CORBA::Boolean commitResources | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Deployment::ResourceNotAvailable, Deployment::PlanError, Deployment::StartError)`[virtual]`

| Template methods from ExecutionManagerDaemon, please see $CIAO_ROOT/ciao/Deployment.idl for documentation

void CIAO::Execution_Manager::Execution_Manager_Impl::remove_shared_component | ( | const Component_Binding_Info & | binding | ) | `[virtual]`

| Remove shared component.

void CIAO::Execution_Manager::Execution_Manager_Impl::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

const ACE_CString CIAO::Execution_Manager::Execution_Manager_Impl::init_file_`[protected]`

| Path to the initialization file.

DAM_Map CIAO::Execution_Manager::Execution_Manager_Impl::map_`[protected]`

| A map which caches the DomainApplicationManager object ref.

CORBA::ORB_var CIAO::Execution_Manager::Execution_Manager_Impl::orb_`[protected]`

| Cached ORB pointer.

PortableServer::POA_var CIAO::Execution_Manager::Execution_Manager_Impl::poa_`[protected]`

| Cached POA pointer.

ACE_Unbounded_Set<Component_Binding_Info> CIAO::Execution_Manager::Execution_Manager_Impl::shared_components_`[protected]`

| A set of shared components and their location info.

The documentation for this class was generated from the following files:

- Execution_Manager_Impl.h
- Execution_Manager_Impl.cpp